fop 1.1

## org.apache.fop.util
Interface ContentHandlerFactory

All Known Implementing Classes:
  AFPExtensionHandlerFactory, DOMBuilderContentHandlerFactory, PSExtensionHandlerFactory, SVGDOMContentHandlerFactory, XMPContentHandlerFactory

    public interface ContentHandlerFactory

Factory interface implemented by classes that can instantiate ContentHandler subclasses which parse a SAX stream into Java objects.

Nested Class Summary
`static interface` `ContentHandlerFactory.ObjectBuiltListener` EventListener interface for objects which want to get notified when ContentHandler implementing the ObjectSource interface has finished parsing.
`static interface` `ContentHandlerFactory.ObjectSource` Interface that ContentHandler implementations that parse Java objects from XML can implement to return these objects.

Method Summary
`org.xml.sax.ContentHandler` `createContentHandler()`
`java.lang.String[]` `getSupportedNamespaces()`

Method Detail

### getSupportedNamespaces

    java.lang.String[] getSupportedNamespaces()

  Returns:
    an array of supported namespaces.

### createContentHandler

    org.xml.sax.ContentHandler createContentHandler()
                                                    throws org.xml.sax.SAXException

  Returns:
    a new ContentHandler to handle a SAX stream
  Throws:
    `org.xml.sax.SAXException` - if there's an error while preparing the ContentHandler

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.